%define kdename kdelibs
%define	version 1.0
%define kderelease 1
Name: %{kdename}
Summary: K Desktop Environment - Libraries
Version: %{version}
Release: %{kderelease}rh51
Source: ftp.kde.org:/pub/kde/stable/1.0pre/distribution/rpm/source/%{kdename}-%{version}.tar.gz
Group: X11/KDE/Base
Copyright: GPL/LGPL
BuildRoot: /tmp/realhot_%{kdename}
Provides: kdelibs-egcs
Requires: qt >= 1.40 redhat-release >= 5.0 libstdc++ >= 2.8.0
Conflicts: qt-1.40-1rh50 qt-1.40-2rh50 qt-1.40-3rh50
Distribution: KDE
Packager: KDE Packaging Team <kde-packaging@kde.org>
Vendor: The KDE Team

%description
Libraries for the K Desktop Environment.

This package is intended for RedHat 5.1 systems.
It can also be used with RedHat 5.0 systems that have been 
upgraded to use the egcs compiler, or at least have installed
libstdc++-2.8.x from the RedHat 5.1 distribution.  

QT and all KDE components used with this package must be compiled 
with the egcs compiler on a RedHat 5.x (glibc) system: 
the QT and KDE rpms must contain "rh51" (NOT rh50) in their version 
name (e.g. qt-1.40-1rh51).

Included with this package are:

jscript: KDE javascript library
kdecore: KDE core library 
kdeui: KDE user interface library
kfmlib: KDE file manager library
khtmlw: KDE HTML widget
mediatool: KDE mediatool library

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n kdelibs-%{version}

%build
export KDEDIR=/opt/kde
CC=egcs ./configure --prefix=$KDEDIR --with-install-root=$RPM_BUILD_ROOT --disable-path-check 
make KDEDIR=$KDEDIR

%install
export KDEDIR=/opt/kde
make prefix=$RPM_BUILD_ROOT$KDEDIR install

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.%{kdename}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{kdename}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -d /opt/kde/lib ]
 then
  grep -q '/opt/kde/lib' /etc/ld.so.conf || echo "/opt/kde/lib" >> /etc/ld.so.conf
  /sbin/ldconfig
 else
  echo "You used a different prefix than /opt. You must add <prefix>/kde/lib to the file /etc/ld.so.conf manually and run /sbin/ldconfig afterwards"
fi

%postun
mv /etc/ld.so.conf /etc/ld.so.conf.orig
grep -v '^/opt/kde/lib$' /etc/ld.so.conf.orig > /etc/ld.so.conf
rm /etc/ld.so.conf.orig
/sbin/ldconfig

%files -f ../file.list.%{kdename}
